
/**
 * A machine that adds numbers to a stored value.
 * @author joel
 */
public class AddingMachine
{
	private int value; //the stored number
		
	/**
	 * Creates a new AddingMachine with a stored value of 0.
	 */
	public AddingMachine()
	{
		value = 0;
	}
	
	/**
	 * @param num The number to add to the stored value
	 */
	public void add(int num)
	{
		value += num;
	}
	
	/**
	 * Clears the stored value
	 */
	public void clear()
	{
		value = 0;
	}
}
